[arch-commits] Commit in python-mongoengine/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Jun 13 09:54:18 UTC 2019


    Date: Thursday, June 13, 2019 @ 09:54:17
  Author: felixonmars
Revision: 481213

archrelease: copy trunk to community-any

Added:
  python-mongoengine/repos/community-any/PKGBUILD
    (from rev 481210, python-mongoengine/trunk/PKGBUILD)
Deleted:
  python-mongoengine/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  124 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 62 insertions(+), 62 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-13 09:54:17 UTC (rev 481212)
+++ PKGBUILD	2019-06-13 09:54:17 UTC (rev 481213)
@@ -1,62 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
-# Contributor: Kyle Keen <keenerd at gmail.com>
-
-pkgbase=python-mongoengine
-pkgname=(python-mongoengine python2-mongoengine)
-pkgver=0.17.0
-pkgrel=1
-pkgdesc="A Python Object-Document-Mapper for working with MongoDB"
-url="https://github.com/MongoEngine/mongoengine"
-license=('MIT')
-arch=('any')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pymongo' 'python2-pymongo')
-checkdepends=('python-nose' 'python2-nose' 'python-coverage' 'python2-coverage'
-              'python-blinker' 'python2-blinker' 'python-pillow' 'python2-pillow'
-              'python-mongomock' 'python2-mongomock')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/MongoEngine/mongoengine/archive/v$pkgver.tar.gz")
-sha512sums=('8bd15f72cc312aee29b926c5a222bed330d7903c804e5f73e268ebcc686b433ff01f79f0a271661d8ed791ca3ea6cba2b787d7646a08e957822782f1876ed508')
-
-prepare() {
-  sed -i 's/coverage==/coverage>=/' mongoengine-$pkgver/setup.py
-  sed -e 's|mongodb://|mongomock://|g' \
-      -e "s|connect(db='mongoenginetest')|connect(db='mongoenginetest', is_mock=True)|" \
-      -i mongoengine-$pkgver/tests/*.py mongoengine-$pkgver/tests/*/*.py
-  cp -a mongoengine-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/mongoengine-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/mongoengine-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/mongoengine-$pkgver
-  python setup.py nosetests || warning "Tests failed"
-
-  cd "$srcdir"/mongoengine-$pkgver-py2
-  python2 setup.py nosetests || warning "Tests failed"
-}
-
-package_python-mongoengine() {
-  depends=('python-pymongo' 'python-six')
-  optdepends=('python-dateutil: for DateTimeField'
-              'python-pillow: for ImageField / ImageGridFsProxy')
-
-  cd mongoengine-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-mongoengine() {
-  depends=('python2-pymongo' 'python2-six')
-  optdepends=('python2-dateutil: for DateTimeField'
-              'python2-pillow: for ImageField / ImageGridFsProxy')
-
-  cd mongoengine-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-mongoengine/repos/community-any/PKGBUILD (from rev 481210, python-mongoengine/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-06-13 09:54:17 UTC (rev 481213)
@@ -0,0 +1,62 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=python-mongoengine
+pkgname=(python-mongoengine python2-mongoengine)
+pkgver=0.18.0
+pkgrel=1
+pkgdesc="A Python Object-Document-Mapper for working with MongoDB"
+url="https://github.com/MongoEngine/mongoengine"
+license=('MIT')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pymongo' 'python2-pymongo')
+checkdepends=('python-nose' 'python2-nose' 'python-coverage' 'python2-coverage'
+              'python-blinker' 'python2-blinker' 'python-pillow' 'python2-pillow'
+              'python-mongomock' 'python2-mongomock')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/MongoEngine/mongoengine/archive/v$pkgver.tar.gz")
+sha512sums=('f91a010b91024063e7e77a7a5272da6cbeb6c0812aabf034ee35e63215327eaa1c88e4eebb735407b677c75c0d5399ea8812a9d625a2bff96ec6d5c8e7c4840a')
+
+prepare() {
+  sed -i 's/coverage==/coverage>=/' mongoengine-$pkgver/setup.py
+  sed -e 's|mongodb://|mongomock://|g' \
+      -e "s|connect(db='mongoenginetest')|connect(db='mongoenginetest', is_mock=True)|" \
+      -i mongoengine-$pkgver/tests/*.py mongoengine-$pkgver/tests/*/*.py
+  cp -a mongoengine-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/mongoengine-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/mongoengine-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/mongoengine-$pkgver
+  python setup.py nosetests || warning "Tests failed"
+
+  cd "$srcdir"/mongoengine-$pkgver-py2
+  python2 setup.py nosetests || warning "Tests failed"
+}
+
+package_python-mongoengine() {
+  depends=('python-pymongo' 'python-six')
+  optdepends=('python-dateutil: for DateTimeField'
+              'python-pillow: for ImageField / ImageGridFsProxy')
+
+  cd mongoengine-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-mongoengine() {
+  depends=('python2-pymongo' 'python2-six')
+  optdepends=('python2-dateutil: for DateTimeField'
+              'python2-pillow: for ImageField / ImageGridFsProxy')
+
+  cd mongoengine-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list